# I3DExSkinningAlgorithmContext Struct Reference

Inheritance diagram for I3DExSkinningAlgorithmContext:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Clone (I3DExSkinningAlgorithmContext **context)=0
virtual I3DExSkinningAlgorithm *MCCOMAPI | GetSkinningAlgorithm ()=0
virtual void MCCOMAPI | ValidateSkinContext ()=0
virtual boolean MCCOMAPI | IsSkinContextValid (TBitArray *invalidJoints=NULL)=0
virtual void MCCOMAPI | DestroySkinContext ()=0
virtual void MCCOMAPI | SkinVertex (const TVertexSkinInfo &vertexInfo, TVector3 &vertex)=0
virtual void MCCOMAPI | ReverseSkinVertex (const TVertexSkinInfo &vertexInfo, TVector3 &vertex)=0
virtual const TMCPtrArray < I3DShJoint > &MCCOMAPI | GetJoints ()=0
virtual I3DShInstance *MCCOMAPI | GetInstance ()=0
virtual const int32 MCCOMAPI | GetFatherJointIndex (int32 jointIndex)=0

## Member Function Documentation

virtual void MCCOMAPI I3DExSkinningAlgorithmContext::Clone | ( | I3DExSkinningAlgorithmContext ** | context | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithmContext::DestroySkinContext | ( |  | ) | `[pure virtual]`

virtual const int32 MCCOMAPI I3DExSkinningAlgorithmContext::GetFatherJointIndex | ( | int32 | jointIndex | ) | `[pure virtual]`

virtual I3DShInstance* MCCOMAPI I3DExSkinningAlgorithmContext::GetInstance | ( |  | ) | `[pure virtual]`

virtual const TMCPtrArray<I3DShJoint>& MCCOMAPI I3DExSkinningAlgorithmContext::GetJoints | ( |  | ) | `[pure virtual]`

virtual I3DExSkinningAlgorithm* MCCOMAPI I3DExSkinningAlgorithmContext::GetSkinningAlgorithm | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI I3DExSkinningAlgorithmContext::IsSkinContextValid | ( | TBitArray * | invalidJoints = `NULL` | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithmContext::ReverseSkinVertex | ( | const TVertexSkinInfo & | vertexInfo,
|  | TVector3 & | vertex |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithmContext::SkinVertex | ( | const TVertexSkinInfo & | vertexInfo,
|  | TVector3 & | vertex |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithmContext::ValidateSkinContext | ( |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DExSkinningAlgorithm.h